[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# RegisterNoIcon

Registers components that have no icon on the component palette.

## Declaration

Source position: classesh.inc line 2237

`procedure RegisterNoIcon(`
`ComponentClasses: array of TComponentClass`
`);`

## Description

RegisterNoIcon performs the same function as RegisterComponents except that it calls RegisterNoIconProc instead of RegisterComponentsProc

## See also

RegisterNoIconProc |  | Callback procedure used when handling icon-less component registration.
RegisterComponents |  | Registers components for the component palette.